<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=GBK">
  <link rel="stylesheet" type="text/css" href="fb_client.css">
</head>

<script>
function getRate2(money) {
  var result = new Array();
  if(money <= 15000) {
    result[0] = "0.05";
    result[1] = "0.00";
  }else if(money <= 30000) {
    result[0] = "0.10";
    result[1] = "750.00";
  }else if(money <= 60000) {
    result[0] = "0.20";
    result[1] = "3750.00";
  }else if(money <= 100000) {
    result[0] = "0.30";
    result[1] = "9750.00";
  }else {
    result[0] = "0.35";
    result[1] = "14750.00";
  }
  return result;
}

function getRate3(money) {
  var result = new Array();
  if(money <= 20000) {
    result[0] = "0.20";
    result[1] = "0.00";
  }else if(money <= 50000) {
    result[0] = "0.30";
    result[1] = "2000.00";
  }else {
    result[0] = "0.40";
    result[1] = "7000.00";
  }
  return result;
}

function calc(em_id) {
  var row = em_id.split("_")[1];

  var name = document.getElementById("name_" + row);
  if(name.value == "") return;

  var article = document.getElementById("article_" + row);

  var income = document.getElementById("income_" + row);
  var declared = document.getElementById("declared_" + row);
  var taxFreeIncome = document.getElementById("taxFreeIncome_" + row);

  var pension = document.getElementById("pension_" + row);
  var medical = document.getElementById("medical_" + row);
  var unemployment = document.getElementById("unemployment_" + row);
  var housingFund = document.getElementById("housingFund_" + row);
  var originalValue = document.getElementById("originalValue_" + row);
  var taxDeduction = document.getElementById("taxDeduction_" + row);
  var annuity = document.getElementById("annuity_" + row);
  var insurance = document.getElementById("insurance_" + row);
  var otherDeduction = document.getElementById("otherDeduction_" + row);
  var totalDeduction = document.getElementById("totalDeduction_" + row);

  var levyPoint = document.getElementById("levyPoint_" + row);
  var donations = document.getElementById("donations_" + row);

  var taxableIncome = document.getElementById("taxableIncome_" + row);
  var taxRate = document.getElementById("taxRate_" + row);
  var quickDeduction = document.getElementById("quickDeduction_" + row);
  var calcTax = document.getElementById("calcTax_" + row);

  var reliefTax = document.getElementById("reliefTax_" + row);
  var payableTax = document.getElementById("payableTax_" + row);

  var payedTax = document.getElementById("payedTax_" + row);
  var finalTax = document.getElementById("finalTax_" + row);

  autoFloat(income);
  autoFloat(declared);
  autoFloat(taxFreeIncome);

  autoFloat(pension);
  autoFloat(medical);
  autoFloat(unemployment);
  autoFloat(housingFund);
  autoFloat(originalValue);
  autoFloat(taxDeduction);
  autoFloat(annuity);
  autoFloat(insurance);
  autoFloat(otherDeduction);

  autoFloat(levyPoint);
  autoFloat(donations);

  autoFloat(taxRate);
  autoFloat(quickDeduction);

  autoFloat(reliefTax);
  autoFloat(payedTax);

  totalDeduction.value = bto_scale(parseFloat(pension.value) + parseFloat(medical.value) + parseFloat(unemployment.value) + parseFloat(housingFund.value) + parseFloat(originalValue.value) + parseFloat(taxDeduction.value) + parseFloat(annuity.value) + parseFloat(insurance.value) + parseFloat(otherDeduction.value),2);
  var fixedIncome = parseFloat(income.value) + parseFloat(declared.value) - taxFreeIncome.value - totalDeduction.value;

  if(article.value == "010001") {
    levyPoint.value = "3500.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    var rate = getRate1(taxableIncome.value);
    taxRate.value = rate[0];
    quickDeduction.value = rate[1];
  }else if(article.value == "010002") {
    levyPoint.value = "4800.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    var rate = getRate1(taxableIncome.value);
    taxRate.value = rate[0];
    quickDeduction.value = rate[1];
  }else if(article.value == "010003") {
    if(levyPoint.value > 4800) levyPoint.value = "4800.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    var rate = getRate1(taxableIncome.value);
    taxRate.value = rate[0];
    quickDeduction.value = rate[1];
  }else if(article.value == "010004") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.05";
  }else if(article.value == "010005") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
  }else if(article.value == "010006") {
    if(levyPoint.value > 4800) levyPoint.value = "4800.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
  }else if(article.value == "020101") {
    levyPoint.value = "3500.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    var rate = getRate2(taxableIncome.value);
    taxRate.value = rate[0];
    quickDeduction.value = rate[1];
  }else if(article.value == "020103") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.01";
    quickDeduction.value = "0.00";
  }else if(article.value == "020104") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.015";
    quickDeduction.value = "0.00";
  }else if(article.value == "020105") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.02";
    quickDeduction.value = "0.00";
  }else if(article.value == "200524") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.006";
    quickDeduction.value = "0.00";
  }else if(article.value == "030001") {
    levyPoint.value = "3500.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    var rate = getRate2(taxableIncome.value);
    taxRate.value = rate[0];
    quickDeduction.value = rate[1];
  }else if(article.value == "040000") {
    if(fixedIncome <= 4000) {
      levyPoint.value = "800.00";
      taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
      taxRate.value = "0.20";
      quickDeduction.value = "0.00";
    }else {
      levyPoint.value = bto_scale(fixedIncome * 0.2,2);
      taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
      var rate = getRate3(taxableIncome.value);
      taxRate.value = rate[0];
      quickDeduction.value = rate[1];
    }
  }else if(article.value == "040005") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.02";
    quickDeduction.value = "0.00";
  }else if(article.value == "050001") {
    if(fixedIncome <= 4000) {
      levyPoint.value = "800.00";
    }else {
      levyPoint.value = bto_scale(fixedIncome * 0.2,2);
    }
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
    calcTax.value = bto_scale(taxableIncome.value * taxRate.value - quickDeduction.value,2);
    reliefTax.value = bto_scale(calcTax.value * 0.3,2);
  }else if(article.value == "050002") {
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
    calcTax.value = bto_scale(taxableIncome.value * taxRate.value - quickDeduction.value,2);
    reliefTax.value = bto_scale(calcTax.value * 0.3,2);
  }else if(article.value == "060101" ||
           article.value == "060201" ||
           article.value == "060301" ||
           article.value == "060401" ||
           article.value == "069999" ||
           article.value == "080101") {
    if(fixedIncome <= 4000) {
      levyPoint.value = "800.00";
    }else {
      levyPoint.value = bto_scale(fixedIncome * 0.2,2);
    }
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
  }else if(article.value == "070101" ||
           article.value == "070108" ||
           article.value == "070109" ||
           article.value == "070104" ||
           article.value == "070105") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
  }else if(article.value == "070106") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale((fixedIncome - levyPoint.value - donations.value) * 0.5,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
  }else if(article.value == "070107") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale((fixedIncome - levyPoint.value - donations.value) * 0.25,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
  }else if(article.value == "080201") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.005";
    quickDeduction.value = "0.00";
  }else if(article.value == "090101" ||
           article.value == "090301" ||
           article.value == "090401" ||
           article.value == "099901" ||
           article.value == "100001" ||
           article.value == "900001") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.20";
    quickDeduction.value = "0.00";
  }else if(article.value == "090102" ||
           article.value == "099902") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.03";
    quickDeduction.value = "0.00";
  }else if(article.value == "090103") {
    levyPoint.value = "0.00";
    taxableIncome.value = bto_scale(fixedIncome - levyPoint.value - donations.value,2);
    taxRate.value = "0.01";
    quickDeduction.value = "0.00";
  }

  if(taxableIncome.value < 0) taxableIncome.value = "0.00";
  if(reliefTax.value < 0) reliefTax.value = "0.00";

  calcTax.value = bto_scale(taxableIncome.value * taxRate.value - quickDeduction.value,2);
  payableTax.value = bto_scale(calcTax.value - reliefTax.value,2);
  finalTax.value = bto_scale(payableTax.value - payedTax.value,2);

  if(finalTax.value < 0 && article.value != "010003") finalTax.value = "0.00";

  if(finalTax.value < 1 && finalTax.value > 0) finalTax.value = "0.00";
}

function default_text(field, article) {
  if(field == "name") return "";

  if(field == "codeType") return "06";

  if(field == "code") return "";

  if(field == "country") return "156";

  if(field == "preferential") return "0";

  if(field == "employee") return "1";

  if(field == "phone") return "";

  if(field == "email") return "";

  if(field == "address") return "";

  if(field == "company") return "";

  if(field == "article") return "010001";

  if(field == "remark") return "";

  return "0.00";
}

function help_text(field, article) {
  if(field == "name") return "纳税人身份证件上面的名称，请如实填写。";

  if(field == "codeType") return "[01 - 护照]、[02 - 通行证]、[03 - 回乡证]、[04 - 台胞证]、[05 - 旅行证]、[06 - 身份证]、[07 - 军官证]、<br>[08 - 税务管理码]、[09 - 特殊类别]、[10 - 纳税人识别号]、[11 - 士兵证]、[90 - 其他]";

  if(field == "code") return "纳税人身份证件上面的号码，请如实填写。";

  if(field == "country") return "[156 - 中国]";

  if(field == "preferential") return "不是残疾烈属孤老请填0，是残疾烈属孤老请填1。";

  if(field == "employee") return "不是雇员请填0，是雇员请填1。";

  if(field == "email") return "雇员请如实填写。";

  if(field == "address") return "非雇员请如实填写。";

  if(field == "company") return "非雇员请如实填写。";

  if(field == "article") return "[010001 - 工资、薪金所得A（减除费用为3500元）]、[020101 - 个体工商户生产经营所得A（减除费用为3500）]、<br>[040000 - 劳务报酬所得A（税率20%）]，其他项目请点解帮助按钮参照[普通算法所得项目代码表]。";

  if(field == "taxFreeIncome") return "指按照国务院规定发给的政府特殊津贴、院士津贴、资深院士津贴和其他经国务院<br>批准免税的补贴、津贴，只适用于[0100 - 工资、薪金所得]，请如实填写。";

  if(field == "pension") return "只适用于[0100 - 工资、薪金所得]，请如实填写。";

  if(field == "medical") return "只适用于[0100 - 工资、薪金所得]，请如实填写。";

  if(field == "unemployment") return "只适用于[0100 - 工资、薪金所得]，请如实填写。";

  if(field == "housingFund") return "只适用于[0100 - 工资、薪金所得]，请如实填写。";

  if(field == "originalValue") return "只适用于[0900 - 财产转让所得]，请如实填写。";

  if(field == "taxDeduction") return "只适用于[0100 - 工资、薪金所得]、[0400 - 劳务报酬所得]、[0600 - 特许权使用费所得]、<br>[0800 - 财产租赁所得]、[0900 - 财产转让所得]，请如实填写。";

  if(field == "totalDeduction" || field == "levyPoint" || field == "taxableIncome" || field == "taxRate" || field == "quickDeduction" || field == "calcTax" || field == "reliefTax" || field == "payableTax" || field == "finalTax") return "自动计算。";

  if(field == "status") return "自动生成。";

  return "请如实填写。";
}

function del_new(em) {
  var row = em.id.split("_")[1];
  var s = document.getElementById("statusC_" + row);
  if(s.value == "") return;
  
  var flag;
  if(s.value.substring(0,1) == "-") {
    s.value = s.value.substring(1,s.value.length);
    flag = false;
    document.getElementById("del_" + row).innerText = "删除";
  } else {
    s.value = "-" + s.value;
    flag = true;
    document.getElementById("del_" + row).innerText = "恢复";
  }
  var ips = em.parentElement.parentElement.all.tags("input");
  for(var i=1;i<ips.length;i++) {
    ips[i].disabled = flag;
  }
}

function del(em) {
  var ips = em.parentElement.parentElement.all.tags("input");
  for(var i=1;i<ips.length;i++) {
    ips[i].value = "";
  }
}

function _del() {
  if(document.getElementById("flag3").value != "0") {
    var d = document.getElementById("del_" + document.getElementById("flag3").value);
    var r = document.getElementById("row_" + document.getElementById("flag3").value);
    r.value = "";
    del(d);
  }
}

function __valid() {
  if(document.getElementById("flag2").value != "0") {
    var ips = document.all.tags("input");
    for(var i=1;i<ips.length;i++) {
      if(ips[i].disabled) {
        ips[i].disabled = false;
      }
    }
    ips = document.all.tags("button");
    for(var i=1;i<ips.length;i++) {
      if(ips[i].innerText == "恢复") {
        ips[i].innerText = "删除"
      }
    }
    for(var i=1;i<=20;i++){
      var s = document.getElementById("statusC_"+i);
      if(s.value != "" && s.value != "0"){         
        document.getElementById("status_"+i).style.color = "red";
        document.getElementById("name_" + i).style.color = "red";
      }else{
        document.getElementById("name_" + i).style.color = "black";
      }
    }
  }
}
</script>
<body>
<input type="hidden" id="flag2" value="0" onpropertychange="__valid()">
<input type="hidden" id="flag3" value="0" onpropertychange="_del()">
<input type="hidden" id="reportType" value="1">
<div style="border:1px solid gray;padding:2px">
<div align="center" class="title">个 人 所 得 税 申 报 （ 普 通 算 法 明 细 数 据 ）</div>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td style="padding:6px 0px 6px 0px;">
      <button onclick="WebBrowser.ExecWB(6,1)">打 印</button>&nbsp;
      <button onclick="WebBrowser.ExecWB(7,1)">打印预览</button>&nbsp;
      <button onclick="WebBrowser.ExecWB(8,1)">打印设置</button>&nbsp;
      <span>
        缩放比例：
        <select id="bodySize" onchange="changeBodySize(this)">
          <option value="1.00">100%</option>
          <option value="0.80">80%</option>
          <option value="0.70">70%</option>
          <option value="0.50">50%</option>
          <option value="0.40">40%</option>
          <option value="0.35">35%</option>
          <option value="0.30">30%</option>
        </select>
      </span>
    </td>
    <td align="left">编制单位：<input id="cname" style="width:320px;text-align:left" readonly></td>
    <td align="right">金额单位：元（列至角分）</td>
  </tr>
</table>
<table cellspacing="0" cellpadding="0" style="border-collapse:collapse" border="1" bordercolor="gray" id="main">
  <tr class="bg1" valign="bottom">
    <th rowspan="2" nowrap>&nbsp;序号&nbsp;<br><br><br><br></th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;姓名&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><br><br>A</th>
    <th rowspan="2" nowrap>证<br>件<br>类<br>型<br>B</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;证件号码&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><br><br>C</th>
    <th rowspan="2" nowrap>国家<br>或<br>地区<br>代码<br>D</th>
    <th rowspan="2" nowrap>是否<br>残疾<br>烈属<br>孤老<br>E</th>
    <th rowspan="2" nowrap>是<br>否<br>雇<br>员<br>F</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;电话&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><br><br>G</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;电子邮箱&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><br><br>H</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;联系地址&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><br><br>I</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;工作单位&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><br><br>J</th>
    <th rowspan="2" nowrap>所得项<br>目代码<br><br>K</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;收入额&nbsp;&nbsp;&nbsp;<br><br><br>L</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;已申报&nbsp;&nbsp;&nbsp;<br>收入<br><br>M</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;免税&nbsp;&nbsp;&nbsp;&nbsp;<br>所得<br><br>N</th>
    <th colspan="8" nowrap>税前扣除项目</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;减除&nbsp;&nbsp;<br>费用<br><br>Y</th>
    <th rowspan="2" nowrap>&nbsp;准予扣除&nbsp;<br>的捐赠额<br><br>Z</th>
    <th rowspan="2" nowrap>&nbsp;应纳税所得额&nbsp;<br><br><br>AA=L+M-N-X-Y-Z</th>
    <th rowspan="2" nowrap>&nbsp;适用&nbsp;<br>税率<br><br>AB</th>
    <th rowspan="2" nowrap>速算<br>&nbsp;扣除数&nbsp;<br><br>AC</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;应纳&nbsp;&nbsp;&nbsp;&nbsp;<br>税额<br><br>AD=AA*AB-AC</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;&nbsp;减免&nbsp;&nbsp;&nbsp;&nbsp;<br>税额<br><br>AE</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;应扣缴&nbsp;&nbsp;&nbsp;<br>税额<br><br>AF=AD-AE</th>
    <th rowspan="2" nowrap>&nbsp;&nbsp;&nbsp;已扣缴&nbsp;&nbsp;&nbsp;<br>税额<br><br>AG</th>
    <th rowspan="2" nowrap>&nbsp;应补（退）&nbsp;<br>税额<br><br>AH=AF-AG</th>
    <th rowspan="2" nowrap style="width:160px;">备注<br><br><br>AI</th>
    <th rowspan="2" nowrap style="width:320px;">审核<a name="_valid_"></a><br><br><br><br></th>
    <th rowspan="2" nowrap valign="center">操作</th>
  </tr>
  <tr class="bg1" valign="bottom">
    <th nowrap>基本养老<br>保险费<br>O</th>
    <th nowrap>基本医疗<br>保险费<br>P</th>
    <th nowrap>&nbsp;&nbsp;失业&nbsp;&nbsp;<br>保险费<br>Q</th>
    <th nowrap>&nbsp;&nbsp;住房&nbsp;&nbsp;<br>公积金<br>R</th>
    <th nowrap>&nbsp;&nbsp;&nbsp;财产原值&nbsp;&nbsp;&nbsp;<br><br>S</th>
    <th nowrap>允许扣除<br>的税费<br>T</th>
    <th nowrap style="display:none;">&nbsp;&nbsp;年金&nbsp;&nbsp;<br><br>U</th>
    <th nowrap style="display:none;">&nbsp;税优型商业险&nbsp;<br><br>V</th>
    <th nowrap>&nbsp;&nbsp;其他&nbsp;&nbsp;<br><br>W</th>
    <th nowrap>&nbsp;&nbsp;合计&nbsp;&nbsp;<br><br>X</th>
  </tr>
  <script>
    for(var i=1;i<=20;i++) {
      document.write("<tr>");
      document.write("<td><input             id='row_" + i +"'  value='" + i +"' style='text-align:center' readonly></td>");
      document.write("<td><input             id='name_" + i +"'           maxlength='32'></td>");
      document.write("<td><input             id='codeType_" + i +"'       maxlength='2'  class='acenter'></td>");
      document.write("<td><input             id='code_" + i +"'           maxlength='18'></td>");
      document.write("<td><input             id='country_" + i +"'        maxlength='3'  class='acenter'></td>");
      document.write("<td><input             id='preferential_" + i +"'   maxlength='1'  class='acenter'></td>");
      document.write("<td><input             id='employee_" + i +"'       maxlength='1'  class='acenter'></td>");
      document.write("<td><input             id='phone_" + i +"'          maxlength='20'></td>");
      document.write("<td><input             id='email_" + i +"'          maxlength='40'></td>");
      document.write("<td><input             id='address_" + i +"'        maxlength='100'></td>");
      document.write("<td><input             id='company_" + i +"'        maxlength='24'></td>");
      document.write("<td><input             id='article_" + i +"'        maxlength='6'  class='acenter'></td>");
      document.write("<td><input             id='income_" + i +"'         maxlength='12' class='aright'></td>");
      document.write("<td><input             id='declared_" + i +"'       maxlength='12' class='aright'></td>");
      document.write("<td><input             id='taxFreeIncome_" + i +"'  maxlength='12' class='aright'></td>");
      document.write("<td><input             id='pension_" + i +"'        maxlength='8'  class='aright'></td>");
      document.write("<td><input             id='medical_" + i +"'        maxlength='8'  class='aright'></td>");
      document.write("<td><input             id='unemployment_" + i +"'   maxlength='8'  class='aright'></td>");
      document.write("<td><input             id='housingFund_" + i +"'    maxlength='8'  class='aright'></td>");
      document.write("<td><input             id='originalValue_" + i +"'  maxlength='12'  class='aright'></td>");
      document.write("<td><input             id='taxDeduction_" + i +"'   maxlength='8'  class='aright'></td>");
      document.write("<td style='display:none;'><input value='0.00'             id='annuity_" + i +"'        maxlength='8'  class='aright'></td>");
      document.write("<td style='display:none;'><input value='0.00' class='ins' id='insurance_" + i +"'      maxlength='8'  class='aright' readonly>&nbsp;<button id='show_insurance_" + i +"' class='btn' onclick='show_insurance();'>明细</button><button id='save_insurance_" + i +"' class='btn2 none' onclick='save_insurance();'>保存</button></td>");
      document.write("<td><input             id='otherDeduction_" + i +"' maxlength='8'  class='aright'></td>");
      document.write("<td class='bg1'><input id='totalDeduction_" + i +"'                class='aright bg1' readonly></td>");
      document.write("<td><input             id='levyPoint_" + i +"'      maxlength='8'  class='aright'></td>");
      document.write("<td><input             id='donations_" + i +"'      maxlength='10' class='aright'></td>");
      document.write("<td class='bg1'><input id='taxableIncome_" + i +"'                 class='aright bg1' readonly></td>");
      document.write("<td><input             id='taxRate_" + i +"'        maxlength='4'  class='aright'></td>");
      document.write("<td><input             id='quickDeduction_" + i +"' maxlength='8'  class='aright'></td>");
      document.write("<td class='bg1'><input id='calcTax_" + i +"'                       class='aright bg1' readonly></td>");
      document.write("<td class='bg1'><input id='reliefTax_" + i +"'                     class='aright bg1' readonly></td>");
      document.write("<td class='bg1'><input id='payableTax_" + i +"'                    class='aright bg1' readonly></td>");
      document.write("<td><input             id='payedTax_" + i +"'       maxlength='12' class='aright'></td>");
      document.write("<td class='bg1'><input id='finalTax_" + i +"'                      class='aright bg1' readonly></td>");
      document.write("<td><input             id='remark_" + i +"'         maxlength='18'></td>");
      document.write("<td class='bg1'><input id='status_" + i +"'  class='bg1'  readonly style='color:red;'>");
      document.write("                <input id='statusC_" + i +"' type='hidden' value='0'></td>");
      document.write("<td><button            id='del_" + i +"'         onclick='del_new(this)' class='btn'>删除</button></td>");
      document.write("</tr>");
    }
  </script>
</table>
<table border="0" width="100%">
  <tr>
    <td style="padding-top:4px">
      <span style="width:99px"><span id="ss1">共0条记录</span></span>
      <span style="width:50px">第<span id="ss2">1</span>页</span>
      <span style="width:50px">共<span id="ss3">1</span>页</span>
      &nbsp;<button id="b1">首页</button>
      &nbsp;<button id="b2">上页</button>
      &nbsp;<button id="b3">下页</button>
      &nbsp;<button id="b4">尾页</button>
      &nbsp;<button id="b6">转至</button>
      &nbsp;<input  id="ppp" style="width:40px;border:1px solid gray">&nbsp;页
      &nbsp;&nbsp;<button id="b11">分项汇总</button>
      &nbsp;&nbsp;<button id="b5">显示全部</button>
      &nbsp;&nbsp;<button onclick="_valid();document.body.scrollLeft=10000;">校验本页</button>
      &nbsp;&nbsp;<button id="b12">插入记录</button>
      &nbsp;&nbsp;<button onclick="help_html()">帮助手册</button>
      &nbsp;&nbsp;<button id="b9">设置单位</button>
      &nbsp;&nbsp;<button id="b10">模糊查询</button>
    </td>
  </tr>
</table>
</div>
<script src="fb_client.js"></script>
</body>
</html>